Bug 23261 - Duplicate font name causes errors from mkfontdir
Duplicate font name causes errors from mkfontdir
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: XFree86 (Show other bugs)
1.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-01-03 19:20 EST by Bill Crawford
Modified: 2007-04-18 12:30 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-01-04 14:24:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Bill Crawford 2001-01-03 19:20:30 EST
Error messages as follows:

[root@localhost XFree86-4.0.2-1]# pushd /usr/X11R6/lib/X11/fonts/misc
/usr/X11R6/lib/X11/fonts/misc /usr/src/redhat/mharris/XFree86-4.0.2-1
[root@localhost misc]# mkfontdir 
mkfontdir: Duplicate font names
-misc-fixed-medium-r-normal--16-160-75-75-c-80-iso8859-15
        Xlat9-8x14.bdf Xlat9-8x14-lat9.pcf.gz
mkfontdir: unable to process font ./Xlat9-8x14-lat9.pcf.gz, skipping
mkfontdir: Duplicate font names
-misc-fixed-bold-r-normal--16-160-72-72-c-0-iso8859-15
        Xlat9-9x16.bdf Xlat9-9x16-lat9.pcf.gz
mkfontdir: unable to process font ./Xlat9-9x16-lat9.pcf.gz, skipping
mkfontdir: Duplicate font names
-misc-fixed-medium-r-normal--20-200-75-75-c-100-iso8859-15
        Xlat9-10x20-lat9.pcf.gz 10x20-ISO8859-15.pcf.gz
mkfontdir: unable to process font ./10x20-ISO8859-15.pcf.gz, skipping
mkfontdir: Duplicate font names
-misc-fixed-medium-r-normal--20-200-75-75-c-100-iso8859-15
        Xlat9-10x20-lat9.pcf.gz Xlat9-10x20.bdf
mkfontdir: unable to process font ./Xlat9-10x20.bdf, skipping

I have seen similar warnings emitted while doing install/upgrade of recent
XFree86 package(s).
Comment 1 Sammy 2001-01-04 14:24:42 EST
Just to confirm...I have the same identical errors and removed the offending
fonts.
Comment 2 Bernhard Rosenkraenzer 2001-01-08 10:26:26 EST
Fixed in kdebase-2.0.20010108 - KDE was installing its console fonts as always,
but as of 4.0.1, they're included in XFree86 already.

Note You need to log in before you can comment on or make changes to this bug.